0
votes
1answer
152 views

How to install Python 2.5.4 in Ubuntu 11.10? [duplicate]

I've been reading through some posts on how to install Python 2.5.4 in Ubuntu but I can not manage to find a solution to my problem. The version of Ubuntu I have is the 11.10 and the one of Python I ...
1
vote
1answer
609 views

Package candidate/alternative for the python-pgsql package in 11.10

What is the package candidate or alternative for the python-pgsql (module) package in Ubuntu 11.10 ? An error indicator that could help: Error: You need to have the python-pgsql module installed to ...
3
votes
1answer
296 views

How do i tell ubuntu to only install is asked for and do not bring other dependencies which will break the whole system?

How can i only install python-webkit but not other packages? which is showing to install? (no gstreamer*.*, i do not want to have any single files installed in my distro because of GPL license and it ...
2
votes
2answers
333 views

Why can't I log in after unistalling Python 2.7 and installing Python 3?

I uninstalled the Python 2.7 package to try and upgrade to Python 3. I uninstalled Python 2.7, and noticed some of my launcher items were completely gone. At this point I had installed Python 3. Now ...
2
votes
1answer
173 views

What are the benefits/problems about upgrading Python to a newer version

What advantages and disadvantages does upgrading Python to a newer version not available in the Distro bring. For example, upgrading from 2.6/2.7 to 3.1/3.2. Since there are several questions relating ...
8
votes
3answers
6k views

How to install and configure IPython so it uses Python3.2 on 11.10?

How to install and configure IPython so it uses Python3.2 on 11.10? I've checked that installing by sudo apt-get install ipython will uses python2.7. [EDIT1] $ sudo python3 configure.py ...
0
votes
1answer
675 views

Xubuntu pyNeighborhood won't start

I just installed pyNeighborhood on a freshly set up Xubuntu 11.10-machine via apt-get from the official repositories, however it won't start. Error when starting via terminal: user@pc:~$ ...
8
votes
2answers
5k views

How can I get pygame for Python3?

There is a package (python-pygame) for Python2 available from the universe repository. However, I want to work through the tutorial in the Invent with Python book. Going through SPM (Synaptic), I ...
3
votes
1answer
458 views

Error when installing “python-nautilus”

When I try to install python-nautilus using the Ubuntu Software Center I get an error message titled "Package dependencies cannot be resolved". The following output is displayed in the details ...
3
votes
1answer
678 views

Installing (or getting working) ironpython

Why has package with ironpython disappeared from repository? I expected, that I would be there. Is there any way to get running ironpython clearly, without compilation from source?
2
votes
3answers
473 views

How can I install python-envisage?

My question is about how I can install Ubuntu 11.10 packages on Ubuntu 10.04. I would like to install python-envisage (4.0.1), but in the Ubuntu 10.04 Software Center there is only python envisage ...
3
votes
2answers
202 views

Can't get activate_uri signal working when making a lens

I'm trying to develop a lens for unity in ubuntu 11.10 and I can not get activate_uri signal working. This is an extract of my code: def _on_activate_uri (self, scop, uri): print "----> " + ...
7
votes
1answer
5k views

How do I set IDLE as the default editor for Python scripts?

I would like to set IDLE as the default editor for python scripts, but when I click on "open with application" and hit the dropdown to show more applications it isn't an option. Here's exactly what ...
3
votes
2answers
101 views

How to show spreedX client ApplicationIndicator?

For my job I require the use of the spreedX client which allows me to share my desktop when using the Spreed web conferencing environment (www.spreed.com). In pre-Unity Ubuntu versions, this ...
0
votes
1answer
559 views

Python problem during Bibus installation

I cannot install bibus from the application centre. I am a new user of ubuntu and I found it is very helpful. When I was trying to install Bibus, they told me the Package dependencies cannot be ...
4
votes
1answer
569 views

Will pygobject for Python 3 be included in 11.10?

Will pygobject of Python 3 be included with Ubuntu 11.10? I am interested in using the new features provided with GTK3 with Python 3 but I have been unable due to the complexity involved with getting ...
1
vote
1answer
576 views

PyQt apps cause Window Manager to crash - where's the problem?

I've upgraded to Ubuntu 11.10 and I have a strange problem. PyQt apps, like ReText and the one below, cause window manager to go crazy. Metacity crashes, Compiz hangs, GNOME Shell / Mutter displays ...